#!/usr/bin/env bash
#bash script     : developers.es
#apps            : Developers Functions Library
#description     : Translate Messages (es)
#author		     : MRP/mrp - Mauro Rosero P.
#company email   : mauro@rosero.one
#personal email  : mauro.rosero@gmail.com
#date            : 20241130
#version         : 1.0.2
#notes           :
#==============================================================================
#==============================================================================

# Mensajes para Node-RED
nrmsg_000="GESTOR DE NODE-RED"
nrmsg_001="Node-RED ya está en ejecución (PID %s)"
nrmsg_002="Abre http://localhost:%s en tu navegador"
nrmsg_003="Error: Node.js y npm son requeridos pero no están instalados."
nrmsg_004="Instala Node.js con el comando: bin/npm_install.sh"
nrmsg_005="ADVERTENCIA: Archivo package.json está vacío. Eliminándolo..."
nrmsg_006="ADVERTENCIA: Archivo package.json contiene JSON inválido. Haciendo copia de seguridad..."
nrmsg_007="Node-RED no está instalado. Instalando localmente..."
nrmsg_008="Error al instalar Node-RED. Verifica tu conexión a internet."
nrmsg_009="Iniciando Node-RED en el puerto %s..."
nrmsg_010="Iniciando Node-RED (PID %s)..."
nrmsg_011="Esperando a que el servicio esté disponible..."
nrmsg_012="Node-RED iniciado correctamente."
nrmsg_013="Node-RED parece estar tardando en iniciar. Verifica %s para más detalles."
nrmsg_014="Si todo está bien, abre http://localhost:%s en tu navegador"
nrmsg_015="Deteniendo Node-RED..."
nrmsg_016="Buscando procesos Node-RED..."
nrmsg_017="Terminando procesos Node-RED: %s"
nrmsg_018="Enviando SIGTERM al proceso %s..."
nrmsg_019="Algunos procesos persisten. Forzando terminación (SIGKILL)..."
nrmsg_020="Forzando terminación del proceso %s..."
nrmsg_021="ADVERTENCIA: Algunos procesos de Node-RED aún persisten: %s"
nrmsg_022="Puede ser necesario reiniciar el sistema para liberarlos completamente."
nrmsg_023="Usando archivo PID: %s"
nrmsg_024="PID válido encontrado: %s"
nrmsg_025="Archivo PID existe pero el proceso no está activo"
nrmsg_026="ERROR: No se pudo detener completamente Node-RED."
nrmsg_027="Verifique manualmente los procesos con: ps aux | grep node-red"
nrmsg_028="Node-RED detenido correctamente."
nrmsg_029="No se encontraron procesos de Node-RED en ejecución."
nrmsg_030="Node-RED está en ejecución:"
nrmsg_031="Node-RED está en ejecución, pero sin archivo PID correcto:"
nrmsg_032="NOTA: Ejecute 'stop' y 'start' para regenerar el archivo PID correcto."
nrmsg_033="Node-RED no está en ejecución."
nrmsg_034="Reiniciando Node-RED..."
nrmsg_035="Intento adicional %s: Forzando terminación de procesos persistentes..."
nrmsg_036="ADVERTENCIA: No fue posible detener completamente Node-RED."
nrmsg_037="Los nuevos procesos podrían comportarse de manera inesperada."
nrmsg_038="Instalando dependencias de Node-RED..."
nrmsg_039="ADVERTENCIA: Archivo package.json está vacío. Eliminándolo para una instalación limpia..."
nrmsg_040="Inicializando package.json..."
nrmsg_041="Instalando Node-RED..."
nrmsg_042="Instalando módulos adicionales para Node-RED..."
nrmsg_043="Node-RED instalado correctamente."
nrmsg_044="ADVERTENCIA: Hubo problemas instalando Node-RED."
nrmsg_045="Todas las dependencias instaladas. Use './nodered.sh start' para iniciar el servidor."
nrmsg_046="Mostrando las últimas líneas del log (Ctrl+C para salir):"
nrmsg_047="Contenido del archivo de log:"
nrmsg_048="No hay archivo de log disponible."
nrmsg_049="Node-RED Administración"
nrmsg_050="Uso: %s {start|stop|restart|status|install|logs}"
nrmsg_051="Comandos:"
nrmsg_052="  start    - Inicia el servidor Node-RED"
nrmsg_053="  stop     - Detiene el servidor Node-RED"
nrmsg_054="  restart  - Reinicia el servidor Node-RED"
nrmsg_055="  status   - Muestra el estado del servidor"
nrmsg_056="  install  - Instala/actualiza Node-RED y dependencias comunes"
nrmsg_057="  logs     - Muestra los logs en tiempo real"

# Mensajes para aider_install.sh
aimsg_000="INSTALACIÓN DE AIDER"
aimsg_001="Error: Python 3 no está instalado."
aimsg_002="Por favor, instale Python 3 antes de continuar."
aimsg_003="Error: pip3 no está instalado."
aimsg_004="Por favor, instale pip3 antes de continuar."
aimsg_005="Instalando módulo venv..."
aimsg_006="Creando entorno virtual para aider..."
aimsg_007="Activando entorno virtual..."
aimsg_008="Actualizando pip..."
aimsg_009="Instalando aider..."
aimsg_010="Creando alias para aider..."
aimsg_011="Alias añadido a .bashrc"
aimsg_012="Alias añadido a .zshrc"
aimsg_013="Desactivando entorno virtual..."
aimsg_014="Desinstalando aider..."
aimsg_015="Entorno virtual de aider eliminado."
aimsg_016="Aider ha sido desinstalado completamente."
aimsg_017="Uso: $0 [OPCIÓN]"
aimsg_018="Opciones:"
aimsg_019="  Sin opción    - Instala aider"
aimsg_020="  -u, --uninstall - Desinstala aider"
aimsg_021="  -h, --help    - Muestra esta ayuda"
aimsg_022="Aider ha sido instalado correctamente."
aimsg_023="Para usar aider, ejecute 'aider' en una nueva terminal."
aimsg_024="La primera vez que lo ejecute deberá configurar su API key de OpenAI."

# Mensajes para sora_enable.sh y sora_disable.sh
srmsg_000="ALIAS SORA PARA AIDER"
srmsg_001="Alias 'sora' para Aider"
srmsg_002="¿Desea habilitar el alias 'sora' para Aider?"
srmsg_003="¿Desea deshabilitar el alias 'sora' para Aider?"
srmsg_004="El alias 'sora' ya existe en"
srmsg_005="El alias 'sora' ha sido agregado a"
srmsg_006="El alias 'sora' ha sido habilitado en su shell."
srmsg_007="Para activarlo en la sesión actual, ejecute:"
srmsg_008="Alias habilitado"
srmsg_009="Alias creado"
srmsg_010="Alias no encontrado"
srmsg_011="El alias 'sora' no existe en su archivo de configuración"
srmsg_012="Alias eliminado"
srmsg_013="El alias 'sora' ha sido eliminado de"
srmsg_014="El alias 'sora' ha sido deshabilitado en su shell."
srmsg_015="Para desactivarlo en la sesión actual, ejecute:"
srmsg_016="Alias deshabilitado"
srmsg_017="Alias sora habilitado"
srmsg_018="Alias sora deshabilitado"
srmsg_019="Error al agregar el alias al archivo de configuración"
srmsg_020="Error al eliminar el alias del archivo de configuración"
srmsg_021="Shell no soportado. Use bash o zsh."

gpmsg_000="INICIALIZAR GPG"
gpmsg_001="RESTAURAR BACKUP DE PERFIL"

gpmsg_101="Desea inicializar la configuración de GPG?"
gpmsg_102="Configuración GPG inicializada!"
gpmsg_103="Plantilla de configuración GPG no existe!"
gpmsg_104="Desea realizar una copia de seguridad GPG?"
gpmsg_105="Desea realizar copia de seguridad para el desarrollador"
gpmsg_106="Copia de seguridad de claves GPG completada!"
gpmsg_107="Archivo de configuración GPG no fue encontrado!"
gpmsg_108="Carpeta de copia de seguridad local no existe"
gpmsg_109="Contraseña del archivo ZIP no fue suministrada"
gpmsg_110="Base de Datos SQLITE3 no fue suministrada"
gpmsg_111="Archivo de Base de Datos SQLITE3 no existe!"
gpmsg_112="Carpeta temporal de Backup no fue suministrada"
gpmsg_113="Desea restaurar la copia de seguridad"
gpmsg_114="Restauración de copia de seguridad completada satisfactoriamente!"

dvmsg_101_0="Versión"
dvmsg_101_1="Uso:"
dvmsg_101_2="<developer zipfile> [--help] [--version]"
dvmsg_102="Descripción: Este bash script restaura una copia de seguridad de perfil de desarrollador"
dvmsg_103="             donde <developer zipfile> es argumento obligatorio y corresponde a la copia"
dvmsg_104="             de seguridad en formato zip."
dvmsg_105="Opciones:"
dvmsg_106="  --help     Muestra este mensaje de ayuda."
dvmsg_107="  --version  Muestra la versión del script."

# Mensajes para cversadm_token.sh
cvmsg_000="ADMINISTRADOR DE TOKENS DE CONTROL DE VERSIONES"
cvmsg_001="Seleccione plataforma de control de versiones"
cvmsg_002="Elija la plataforma para la que desea configurar el token de acceso"
cvmsg_003="Token de acceso"
cvmsg_004="Introduzca el token de acceso personal para"
cvmsg_005="El token se utilizará para operaciones de autenticación"
cvmsg_006="Token guardado correctamente para"
cvmsg_007="Error al guardar el token para"
cvmsg_008="Carpeta de configuración creada:"
cvmsg_009="Seleccione una opción"
cvmsg_010="Github"
cvmsg_011="Gitlab"
cvmsg_012="Forgejo"
cvmsg_013="SOPS no está instalado"
cvmsg_014="Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."
cvmsg_015="El token no puede estar vacío. Por favor ingrese un token válido."
cvmsg_016="El token parece ser demasiado corto. Verifique que haya copiado el token completo."
cvmsg_017="El token contiene caracteres no estándar. Verifique que sea correcto."

# Mensajes para qr_secret.sh
qrmsg_000="EXTRACTOR DE SECRETOS QR"
qrmsg_001="Nombre del archivo"
qrmsg_002="Ingrese un nombre para el archivo (solo letras, números, ., - y _)"
qrmsg_003="Seleccione una imagen QR"
qrmsg_004="El nombre no puede estar vacío."
qrmsg_005="El nombre no puede contener espacios."
qrmsg_006="El nombre solo puede contener letras, números, ., - y _."
qrmsg_007="No se pudo extraer el secreto de la imagen QR seleccionada."
qrmsg_008="Secreto guardado correctamente en"
qrmsg_009="No se pudo guardar el secreto encriptado."
qrmsg_010="Operación cancelada por el usuario."
qrmsg_011="Éxito"
qrmsg_012="Error"
qrmsg_013="Dialog no está instalado"
qrmsg_014="Zbar no está instalado"

# Mensajes para Home Assistant OS
ha_000="GESTOR DE HOME ASSISTANT OS"
ha_001="Home Assistant ya está en ejecución"
ha_002="Accede a Home Assistant en: http://localhost:%s"
ha_003="Podman no está instalado. Instalando..."
ha_004="Error: No se encuentra el script bootstrap.sh"
ha_005="Podman está instalado."
ha_006="Preparando directorios para Home Assistant..."
ha_007="Descargando imagen de Home Assistant..."
ha_086="Selecciona la versión de Home Assistant a instalar:"
ha_087="1. Home Assistant Core (Aplicación regular)"
ha_088="2. Home Assistant OS (Sistema operativo completo)"
ha_089="Selecciona una opción (1-2): "
ha_090="Opción no válida. Por favor, selecciona 1 o 2."
ha_091="Preparando instalación de Home Assistant Core..."
ha_092="Preparando instalación de Home Assistant OS..."
ha_093="Descargando imagen de Home Assistant OS..."
ha_008="El contenedor %s ya existe. Removerlo antes de instalar."
ha_009="Usa: %s remove para eliminar el contenedor existente."
ha_010="Creando contenedor de Home Assistant..."
ha_011="Home Assistant instalado correctamente."
ha_012="Espera unos minutos mientras Home Assistant se inicia por primera vez."
ha_013="Error al crear el contenedor de Home Assistant."
ha_014="El contenedor %s no existe. Instálalo primero."
ha_015="Usa: %s install para instalar Home Assistant."
ha_016="Iniciando Home Assistant..."
ha_017="Home Assistant iniciado correctamente."
ha_018="Error al iniciar Home Assistant."
ha_019="El contenedor %s no existe."
ha_020="Home Assistant ya está detenido."
ha_021="Deteniendo Home Assistant..."
ha_022="Home Assistant detenido correctamente."
ha_023="Error al detener Home Assistant."
ha_024="Reiniciando Home Assistant..."
ha_025="Estado de Home Assistant:"
ha_026="Home Assistant no está instalado."
ha_027="Home Assistant está en ejecución:"
ha_028="  - URL: http://localhost:%s"
ha_029="  - Directorio de configuración: %s"
ha_030="  - Iniciado: %s"
ha_031="  - Estado: Respondiendo"
ha_032="  - Estado: Proceso en ejecución pero no responde HTTP"
ha_033="Home Assistant está detenido."
ha_034="Actualizando Home Assistant..."
ha_035="Respaldando configuración actual..."
ha_036="Descargando la nueva imagen de Home Assistant..."
ha_037="Eliminando el contenedor actual..."
ha_038="Recreando el contenedor con la nueva imagen..."
ha_039="Home Assistant actualizado correctamente."
ha_040="Si encuentras problemas, puedes restaurar la copia de seguridad con:"
ha_041="Error al actualizar Home Assistant. Intentando restaurar la versión anterior..."
ha_042="Restauración exitosa de la versión anterior."
ha_043="Error al restaurar la versión anterior. Es posible que debas reinstalar Home Assistant."
ha_044="Eliminando el contenedor de Home Assistant..."
ha_045="¿Deseas realizar una copia de seguridad antes de eliminar? (s/N): "
ha_046="Realizando copia de seguridad..."
ha_047="Copia de seguridad creada como imagen: homeassistant-backup"
ha_048="¿Deseas eliminar también los directorios de configuración? (s/N): "
ha_049="Eliminando directorios de configuración..."
ha_050="Home Assistant eliminado correctamente."
ha_051="Mostrando logs de Home Assistant (Ctrl+C para salir):"
ha_052="Configurando complementos adicionales para Home Assistant..."
ha_053="Home Assistant debe estar en ejecución para configurar complementos."
ha_054="Iniciando Home Assistant..."
ha_055="Complementos disponibles:"
ha_056="Selecciona un complemento para instalar (0-5): "
ha_057="Instalando MQTT Broker (Mosquitto)..."
ha_058="MQTT Broker instalado. Configúralo en Home Assistant."
ha_059="Instalando Z-Wave JS..."
ha_060="Z-Wave JS instalado. Accede a UI en http://localhost:8091"
ha_061="Instalando Zigbee2MQTT..."
ha_062="Zigbee2MQTT instalado. Configúralo en Home Assistant."
ha_063="Instalando AdGuard Home..."
ha_064="AdGuard Home instalado. Configúralo en http://localhost:3000"
ha_065="Instalando Node-RED..."
ha_066="Node-RED instalado. Accede a http://localhost:1880"
ha_067="Operación cancelada."
ha_068="Opción no válida."
ha_069="Home Assistant OS en Podman"
ha_070="Uso: %s {install|start|stop|restart|status|update|remove|logs|addons}"
ha_071="Comandos:"
ha_081="Este script debe ejecutarse desde una carpeta de proyecto."
ha_082="La carpeta de proyectos es: %s"
ha_083="¿Deseas crear la carpeta de proyectos %s? (s/N): "
ha_084="Carpeta de proyectos creada. Por favor, crea un proyecto dentro y ejecuta este script desde ahí."
ha_085="Por favor, navega a un directorio dentro de %s para ejecutar este script."
ha_072="  install  - Instala Home Assistant en un contenedor Podman"
ha_073="  start    - Inicia el contenedor de Home Assistant"
ha_074="  stop     - Detiene el contenedor de Home Assistant"
ha_075="  restart  - Reinicia el contenedor de Home Assistant"
ha_076="  status   - Muestra el estado del contenedor de Home Assistant"
ha_077="  update   - Actualiza Home Assistant a la última versión"
ha_078="  remove   - Elimina el contenedor de Home Assistant"
ha_079="  logs     - Muestra los logs en tiempo real"
ha_080="  addons   - Configura complementos adicionales"

# Mensajes para fjadmin_install.sh
fjmsg_000="INSTALADOR DE FORGEJO CLI"
fjmsg_001="Instalando Forgejo CLI"
fjmsg_002="Cargo no está instalado. Instalando Rust y Cargo..."
fjmsg_003="Rust y Cargo han sido instalados correctamente."
fjmsg_004="Cargo ya está instalado."
fjmsg_005="Forgejo CLI no está instalado. Instalando..."
fjmsg_006="ERROR: No se pudo encontrar cargo en el PATH después de la instalación."
fjmsg_007="Por favor reinicie su terminal e intente nuevamente."
fjmsg_008="Forgejo CLI instalado correctamente."
fjmsg_009="ERROR: No se pudo instalar Forgejo CLI."
fjmsg_010="Preparando instalación de Forgejo CLI..."
fjmsg_011="Instalación completada."
fjmsg_012="¿Desea instalar Forgejo CLI?"
fjmsg_013="Esta herramienta le permite administrar instancias de Forgejo desde línea de comandos."
fjmsg_014="Instalación cancelada por el usuario."

# Mensajes para forgejo_login.sh
fgmsg_000="INICIO DE SESIÓN EN FORGEJO"
fgmsg_001="Error: berg (Forgejo CLI) no está instalado."
fgmsg_002="Por favor, ejecute ${BIN_HOME}/${BIN_BASE}/fjadmin_install.sh primero."
fgmsg_003="Error: SOPS no está instalado."
fgmsg_004="Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."
fgmsg_005="Error: No se encontró el archivo de token para Forgejo."
fgmsg_006="Por favor, ejecute bin/cversadm_token.sh para configurar el token primero."
fgmsg_007="Usando servidor Forgejo:"
fgmsg_008="ADVERTENCIA: No se pudo detectar automáticamente la URL de Forgejo."
fgmsg_009="Si la autenticación falla, establezca manualmente BERG_BASE_URL."
fgmsg_010="Iniciando sesión en Forgejo..."
fgmsg_011="Sesión iniciada correctamente en Forgejo."
fgmsg_012="Error al iniciar sesión en Forgejo. Por favor, verifique su token."
fgmsg_013="Cerrando sesión de Forgejo..."
fgmsg_014="No hay sesión activa en Forgejo."
fgmsg_015="Sesión cerrada."

# Mensajes para ghadmin_install.sh
ghmsg_000="INSTALADOR DE GITHUB CLI"
ghmsg_001="Este script requiere privilegios de administrador."
ghmsg_002="Intentando escalar privilegios..."
ghmsg_003="Usando sudo para escalar privilegios..."
ghmsg_004="Usando doas para escalar privilegios..."
ghmsg_005="ERROR: No se encontró sudo ni doas. Por favor ejecute este script como root."
ghmsg_006="Distribución detectada:"
ghmsg_007="Instalando GitHub CLI en sistema basado en Debian/Ubuntu..."
ghmsg_008="GitHub CLI instalado correctamente."
ghmsg_009="ERROR: No se pudo instalar GitHub CLI."
ghmsg_010="Instalando GitHub CLI en sistema basado en Red Hat/Fedora..."
ghmsg_011="Instalando GitHub CLI en Arch Linux..."
ghmsg_012="Instalando GitHub CLI en sistema basado en SUSE..."
ghmsg_013="Instalando GitHub CLI en macOS..."
ghmsg_014="Homebrew no está instalado. Instalando Homebrew..."
ghmsg_015="GitHub CLI ya está instalado."
ghmsg_016="Versión actual:"
ghmsg_017="¿Desea reinstalar o actualizar? (s/n):"
ghmsg_018="Operación cancelada."
ghmsg_019="Distribución no soportada:"
ghmsg_020="Por favor, visite https://github.com/cli/cli#installation para instrucciones de instalación manual."
ghmsg_021="Para autenticarse con GitHub, ejecute:"
ghmsg_022="Para más información, visite: https://cli.github.com/manual/"
ghmsg_023="ERROR: La instalación de GitHub CLI falló."

# Mensajes para gladmin_install.sh
glmsg_000="INSTALADOR DE GITLAB CLI"
glmsg_001="Este script requiere privilegios de administrador."
glmsg_002="Intentando escalar privilegios..."
glmsg_003="Usando sudo para escalar privilegios..."
glmsg_004="Usando doas para escalar privilegios..."
glmsg_005="ERROR: No se encontró sudo ni doas. Por favor ejecute este script como root."
glmsg_006="Distribución detectada:"
glmsg_007="Instalando GitLab CLI mediante Homebrew..."
glmsg_008="Homebrew no está instalado. Instalando Homebrew..."
glmsg_009="ERROR: No se pudo instalar Homebrew."
glmsg_010="GitLab CLI instalado correctamente mediante Homebrew."
glmsg_011="ERROR: No se pudo instalar GitLab CLI mediante Homebrew."
glmsg_012="Instalando GitLab CLI en sistema basado en Debian/Ubuntu..."
glmsg_013="Verificando si glab está disponible en los repositorios..."
glmsg_014="GitLab CLI encontrado en los repositorios. Instalando..."
glmsg_015="GitLab CLI instalado correctamente desde los repositorios oficiales."
glmsg_016="Agregando repositorio oficial de GitLab..."
glmsg_017="GitLab CLI instalado correctamente mediante script oficial."
glmsg_018="Intentando instalar mediante Homebrew..."
glmsg_019="Instalando GitLab CLI en sistema basado en Red Hat/Fedora..."
glmsg_020="Usando script oficial de instalación..."
glmsg_021="Intentando instalar mediante snap..."
glmsg_022="GitLab CLI instalado correctamente mediante snap."
glmsg_023="Instalando GitLab CLI en Arch Linux..."
glmsg_024="GitLab CLI instalado correctamente desde AUR."
glmsg_025="Instalando GitLab CLI en sistema basado en SUSE..."
glmsg_026="Intentando instalar GitLab CLI mediante Go..."
glmsg_027="Go no está instalado. Se requiere Go para este método de instalación."
glmsg_028="GitLab CLI instalado correctamente mediante Go."
glmsg_029="Asegúrese de que $GOPATH/bin esté en su PATH."
glmsg_030="Por ejemplo, puede agregar lo siguiente a su ~/.bashrc o ~/.zshrc:"
glmsg_031="export PATH=$PATH:$HOME/go/bin"
glmsg_032="ERROR: No se pudo instalar GitLab CLI mediante Go."
glmsg_033="Instalando GitLab CLI usando binarios precompilados..."
glmsg_034="Arquitectura no soportada:"
glmsg_035="Descargando GitLab CLI desde:"
glmsg_036="ERROR: No se pudo descargar GitLab CLI."
glmsg_037="ERROR: No se pudo extraer el archivo de GitLab CLI."
glmsg_038="GitLab CLI instalado correctamente mediante binarios precompilados."
glmsg_039="ERROR: No se pudo instalar GitLab CLI mediante binarios precompilados."
glmsg_040="GitLab CLI ya está instalado."
glmsg_041="Versión actual:"
glmsg_042="¿Desea reinstalar o actualizar? (s/n):"
glmsg_043="Operación cancelada."
glmsg_044="Distribución no soportada directamente:"
glmsg_045="Intentando métodos alternativos..."
glmsg_046="Intentando métodos alternativos de instalación..."
glmsg_047="No se pudo instalar GitLab CLI con ninguno de los métodos disponibles."
glmsg_048="Por favor, visite https://gitlab.com/gitlab-org/cli para instrucciones de instalación manual."
glmsg_049="GitLab CLI instalado correctamente."
glmsg_050="Para autenticarse con GitLab, ejecute:"
glmsg_051="Para más información, visite: https://gitlab.com/gitlab-org/cli/blob/main/docs/index.md"
glmsg_052="ERROR: La instalación de GitLab CLI falló."

# Mensajes para ai_token.sh
aimsg_100="GESTOR DE TOKENS DE IA"
aimsg_101="Seleccione el proveedor de IA para configurar su token:"
aimsg_102="Token de API para"
aimsg_103="Ingrese su token de API para"
aimsg_104="El token no puede estar vacío. Por favor ingrese un token válido."
aimsg_105="El token parece ser demasiado corto. Verifique que haya copiado el token completo."
aimsg_106="¿Desea continuar de todos modos con este token?"
aimsg_107="El archivo ya existe. ¿Desea sobrescribirlo?"
aimsg_108="Operación cancelada por el usuario."
aimsg_109="El token ha sido encriptado exitosamente en:"
aimsg_110="Falló la encriptación del token."
aimsg_111="Error: El archivo de configuración de proveedores no existe:"
aimsg_112="El token contiene caracteres no estándar. Verifique que sea correcto."
aimsg_113="Salir"
aimsg_114="Selección inválida. Intente nuevamente."
aimsg_115="SOPS no está instalado. Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."

